# NAME
    bin_read
# DESCRIPTION
    Tools for reading data from OBPG L3 bin files
# CLASSES
    builtins.object
        L3BinRead
    
##    class L3BinRead(builtins.object)
    L3BinRead(*argv)
    A Level 3 bin (L3b) file reader class
    
    This simple class provides methods for opening and reading OBPG L3b files
    
    Methods defined here:
    
    __init__(self, *argv)
        Initialize self.  See help(type(self)) for accurate signature.
        variables:
            _ncid: netCDF filehandle
            _gid: netCDF group ID for the 'level-3_binned_data' group
            _binList: BinList compound variable
            _weights: weights from the BinList
            bins: bin numbers from the BinList
            nobs: number of observations from the BinList
            nscenes: number of scenes from the BinList
            products: array of product variables stored in the bin file
            productList: array product names
    
###  binNum2recordID(self, binnum)
        return the file bin index (recordID)(s) for bin number(s)
    
###  close(self)
        close the netCDF filehandle
    
###  consecutive(self, recordID, stepsize=1)
        return array of arrays with consecutive recordIDs
    
###  getAreaMean(self, productName, recordID)
        calculate the mean for a product provided the product ID and a set of bins (area of interest)
    
###  getAreaMedian(self, productName, recordID)
        calculate the mean for a product provided the product ID and a set of bins (area of interest)
    
###  getAreaStats(self, productName, recordID)
        return the mean, median, and standard deviation of an area of interest
    
###  getAreaStdev(self, productName, recordID)
        calculate the standard deviation for a product provided the product ID and a set of bins (area of interest)
    
###  getMean(self, productName, recordID)
        calculate the mean(s) for a bin (or set of bins) for a product provided the product ID and recordID(s)
    
###  getStdev(self, productName, bin)
        calculate the standard deviation(s) for a bin (or set of bins) for a product provided the product ID and recordID(s)
    
###  getVariance(self, productName, recordID)
        calculate the variance for a product provided the product ID and bin of interest
    
###  get_nobs(self, recordID)
        return the number of observations for the bin of interest
    
###  get_nscenes(self, recordID)
        return the number of scenes for the bin of interest
    
###  listProducts(self)
        return the products in the bin file
    
###  open(self, filename)
        open a netCDF level 3 bin file and fill out the class 

# VERSION
    1.1.0
